> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/english/property-data/woz-api/pc6-average-woz-value.md).

# PC6 average WOZ value

## Find the average and median WOZ value for a zipcode

<mark style="color:green;">`GET`</mark>api.altum.ai`/woz/pc6`

**Headers**

| Name         | Value                     |
| ------------ | ------------------------- |
| Content-Type | `application/json`        |
| x-api-key    | `unique Altum AI API key` |

**String**

| Name       | Type   | Description                                                       |
| ---------- | ------ | ----------------------------------------------------------------- |
| `postcode` | string | Zipcode PC6 e.g. 1234AB                                           |
| `limit`    | number | Number of WOZ value's part of the calculation min = 10, max = 100 |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
	"average_woz_value": 410700.0,
	"median_woz_value": 406500.0
}
```

{% endtab %}

{% tab title="400" %}

```json
{
	"detail": {
		"Output": "The given Postcode does not exist or has no WOZ Value."
	}
}
```

{% endtab %}

{% tab title="422" %}

```
{
	"detail": [
		{
			"loc": [
				"query",
				"postcode"
			],
			"msg": "ensure this value has at least 6 characters",
			"type": "value_error.any_str.min_length",
			"ctx": {
				"limit_value": 6
			}
		}
	]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.altum.ai/english/property-data/woz-api/pc6-average-woz-value.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
